# pylint: disable=too-few-public-methods
import os
import pathlib

class Logging:
    _level = os.environ.get("AIC_STDOUT_LEVEL", "info")
    LEVEL = int(_level) if _level.isdigit() else _level.upper()
    NAME = "atlasimagecomposer"

class Paths:
    _root = pathlib.Path(__file__).parents[1]
    IMAGES = _root / ".temp"
    OUTPUT = _root / ".out"

class ExpressionDefaults:
    FACESIZE = 256
    SHEETSIZE = 1024

class AtlasDefaults:
    REGION = "JP"
    TIMEOUT = 10
    MST_SVT_JSON = "https://git.atlasacademy.io/atlasacademy/fgo-game-data/raw/branch/JP/master/mstSvtScript.json"
