
import logging
import sys
from ..config import Logging
from .disables import disable_tqdm

def init_logger():
    if Logging.LEVEL == "DEBUG":
        disable_tqdm()

    logger = logging.getLogger(Logging.NAME)
    logger.setLevel(Logging.LEVEL)
    handler = logging.StreamHandler(stream=sys.stdout)
    formatter = logging.Formatter('[%(levelname)s] [%(name)s] %(asctime)s - %(message)s')
    handler.setFormatter(formatter)
    logger.addHandler(handler)

    return logger
